## fava 1.11

=== Makefile ===
all: fava/static/gen/app.js

fava/static/gen/app.js: fava/static/css/* fava/static/javascript/* fava/static/package.json
	cd fava/static; npm install; npm run build

.PHONY: clean
clean: mostlyclean
	rm -rf build dist
	rm -rf fava/static/gen

.PHONY: mostlyclean
mostlyclean:
	rm -rf .*cache
	rm -rf .eggs
	rm -rf .tox
	rm -rf build
	rm -rf dist
	rm -rf fava/static/node_modules
	find . -type f -name '*.py[c0]' -delete
	find . -type d -name "__pycache__" -delete

.PHONY: lint
lint:
	tox -e format
	tox -e lint
	cd fava/static; npm install
	cd fava/static; npm run lint

.PHONY: test
test:
	tox

.PHONY: docs
docs:
	tox -e docs

.PHONY: run-example
run-example:
	BEANCOUNT_FILE= fava --debug tests/data/example.beancount

.PHONY: bql-grammar
bql-grammar:
	contrib/scripts.py generate-bql-grammar-json

dist: fava/static/gen/app.js fava setup.cfg setup.py MANIFEST.in
	rm -rf build dist
	python setup.py sdist bdist_wheel

.PHONY: before-release
before-release: bql-grammar translations-push translations-fetch

# Before making a release, CHANGES needs to be updated and
# a tag should be created too.
#
# Also, fava.pythonanywhere.com should be updated.
.PHONY: upload
upload: dist
	twine upload dist/*

# Extract translation strings.
.PHONY: translations-extract
translations-extract:
	pybabel extract -F fava/translations/babel.conf -o fava/translations/messages.pot ./fava

# Extract translation strings and upload them to POEditor.com.
# Requires the environment variable POEDITOR_TOKEN to be set to an API token
# for POEditor.
.PHONY: translations-push
translations-push: translations-extract
	contrib/scripts.py upload-translations

# Download translations from POEditor.com. (also requires POEDITOR_TOKEN)
.PHONY: translations-fetch
translations-fetch:
	contrib/scripts.py download-translations
	pybabel compile -d fava/translations

# Build and upload the website.
.PHONY: gh-pages
gh-pages:
	git checkout master
	git checkout --orphan gh-pages
	tox -e docs
	ls | grep -v 'build' | xargs rm -r
	mv -f build/docs/* ./
	rm -r build
	touch .nojekyll
	git add -A
	git commit -m 'Update gh-pages'
	git push --force git@github.com:beancount/fava.git gh-pages:gh-pages
	git checkout master
	git branch -D gh-pages

## fava 1.9

=== debian/changelog ===
fava (1.9-4) unstable; urgency=medium

  * generate manpage with help2man and ship it
  * rules: do not ship __pycache__ dirs as part of help files

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 14 Jan 2019 10:20:52 +0100

fava (1.9-3) unstable; urgency=medium

  * compat: bump debhelper level to 12
  * control: add missing build-dep on cheroot
  * control: depend on the minimum cheroot version that ships egg-info
    (Closes: #918641)
  * drop python3-fava.pyremove, because fava.help is needed as a module

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 08 Jan 2019 14:43:10 +0100

fava (1.9-2) unstable; urgency=medium

  * debian/copyright: document additional copyright owners and licenses
    applicable to app.js (Closes: #917954)

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 01 Jan 2019 19:15:00 +0100

fava (1.9-1) experimental; urgency=low

  * Initial release. (Closes: #917532)

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 31 Dec 2018 16:15:31 +0100

=== debian/control ===
Source: fava
Section: python
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Stefano Zacchiroli <zack@debian.org>,
           Pierre-Elliott Bécue <peb@debian.org>
Build-Depends: debhelper (>= 12~),
               dh-python,
               help2man <!nodoc>,
               python3-all,
               python3-babel,
               python3-beancount,
               python3-cheroot,
               python3-click,
               python3-flask (>= 0.10.1),
               python3-flask-babel,
               python3-jinja2,
               python3-markdown2,
               python3-ply,
               python3-setuptools,
               python3-simplejson,
Standards-Version: 4.3.0
Homepage: https://beancount.github.io/fava/
Vcs-Browser: https://salsa.debian.org/python-team/applications/fava
Vcs-Git: https://salsa.debian.org/python-team/applications/fava.git

Package: python3-fava
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-cheroot (>= 6.5.4+ds-2)
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: Web interface for the double-entry accounting tool Beancount
 Fava is a web interface for the plain-text, double-entry bookkeeping
 tool and language Beancount.
 .
 An online demo of Fava is available at https://fava.pythonanywhere.com .
 .
 For more information about Beancount itself see the beancount Debian
 package.

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie

export PYBUILD_NAME=fava
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build

# manpage generation: use help2man + manual overrides from d/manpages/fava.tpl
ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
	help2man \
	  --name "Web interface for the double-entry accounting tool Beancount" \
	  --no-info \
	  --include $(CURDIR)/debian/manpages/fava.tpl \
	  "$$(pybuild --print interpreter --interpreter python3) -m fava.cli" \
	  > $(CURDIR)/debian/manpages/fava.1
	sed -i s/cli.py/fava/ $(CURDIR)/debian/manpages/fava.1
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/manpages/fava.1

override_dh_installdocs:
	dh_installdocs -X __init__.py -X __pycache__

## fava 1.10

=== debian/changelog ===
fava (1.10-2) unstable; urgency=medium

  * Cancel the removal of the help directory (Closes: #934661)

 -- Pierre-Elliott Bécue <peb@debian.org>  Sat, 17 Aug 2019 19:45:15 +0200

fava (1.10-1) unstable; urgency=medium

  [ Stefano Zacchiroli ]
  * gitlab-ci.yml: add salsa CI pipeline configuration

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Pierre-Elliott Bécue ]
  * New upstream release 1.10
    + d/p/0001: Hardcode the version number to compensate for setuptools_scm
      version matching regexp which is too constrained.
    + d/control:
      - Add python3-setuptools-scm as a build-dependency
  * Add d/python3-fava.examples to include the contrib/examples dir.

 -- Pierre-Elliott Bécue <peb@debian.org>  Fri, 02 Aug 2019 21:10:31 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Stefano Zacchiroli <zack@debian.org>,
            Pierre-Elliott Bécue <peb@debian.org>
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                help2man <!nodoc>,
                python3-all,
@@ -18,8 +18,9 @@
                python3-markdown2,
                python3-ply,
                python3-setuptools,
+               python3-setuptools-scm,
                python3-simplejson,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://beancount.github.io/fava/
 Vcs-Browser: https://salsa.debian.org/python-team/applications/fava
 Vcs-Git: https://salsa.debian.org/python-team/applications/fava.git

## fava 1.11

=== debian/changelog ===
fava (1.11-1) unstable; urgency=medium

  * New upstream release 1.11

 -- Pierre-Elliott Bécue <peb@debian.org>  Thu, 22 Aug 2019 19:35:28 +0200

## fava 1.14

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,11 @@
 all: fava/static/gen/app.js
 
-fava/static/gen/app.js: fava/static/css/* fava/static/javascript/* fava/static/package.json
-	cd fava/static; npm install; npm run build
+fava/static/gen/app.js: fava/static/css/* fava/static/javascript/* fava/static/package.json fava/static/node_modules
+	cd fava/static; npm run build
+
+fava/static/node_modules: fava/static/package-lock.json
+	cd fava/static; npm install --no-progress
+	touch -m fava/static/node_modules
 
 .PHONY: clean
 clean: mostlyclean
@@ -19,15 +23,25 @@
 	find . -type f -name '*.py[c0]' -delete
 	find . -type d -name "__pycache__" -delete
 
+.PHONY: check-lint
+check-lint: fava/static/node_modules
+	cd fava/static; npm run check-lint
+	tox -e lint
+
 .PHONY: lint
-lint:
+lint: fava/static/node_modules
+	cd fava/static; npm run lint
 	tox -e format
 	tox -e lint
-	cd fava/static; npm install
-	cd fava/static; npm run lint
 
 .PHONY: test
 test:
+	tox
+
+.PHONY: update-snapshots
+update-snapshots:
+	find . -name "__snapshots__" -type d -prune -exec rm -r "{}" +
+	-SNAPSHOT_UPDATE=1 tox
 	tox
 
 .PHONY: docs
@@ -36,7 +50,8 @@
 
 .PHONY: run-example
 run-example:
-	BEANCOUNT_FILE= fava --debug tests/data/example.beancount
+	@xdg-open http://localhost:3333
+	BEANCOUNT_FILE= fava -p 3333 --debug tests/data/example.beancount
 
 .PHONY: bql-grammar
 bql-grammar:

=== debian/changelog ===
fava (1.14-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Dr. Tobias Quathamer ]
  * New upstream version 1.14
    - Refresh patch
  * Add minimal gbp.conf for current branch setup
  * Bump Standards-Version to 4.5.0, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 17 Mar 2020 15:22:25 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                python3-setuptools,
                python3-setuptools-scm,
                python3-simplejson,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://beancount.github.io/fava/
 Vcs-Browser: https://salsa.debian.org/python-team/applications/fava
 Vcs-Git: https://salsa.debian.org/python-team/applications/fava.git

## fava 1.18

=== Makefile ===
all: src/fava/static/app.js

src/fava/static/app.js: frontend/css/* frontend/src/* frontend/package.json frontend/node_modules
	cd frontend; npm run build

frontend/node_modules: frontend/package-lock.json
	cd frontend; npm install --no-progress
	touch -m frontend/node_modules

.PHONY: clean
clean: mostlyclean
	rm -rf build dist
	rm -rf src/fava/static/*

.PHONY: mostlyclean
mostlyclean:
	rm -rf .*cache
	rm -rf .eggs
	rm -rf .tox
	rm -rf build
	rm -rf dist
	rm -rf frontend/node_modules
	find . -type f -name '*.py[c0]' -delete
	find . -type d -name "__pycache__" -delete

.PHONY: lint
lint: frontend/node_modules
	pre-commit run -a
	tox -e lint

.PHONY: test
test:
	cd frontend; npm run build
	cd frontend; npm run test
	tox -e py

.PHONY: update-snapshots
update-snapshots:
	find . -name "__snapshots__" -type d -prune -exec rm -r "{}" +
	-SNAPSHOT_UPDATE=1 tox
	tox

.PHONY: docs
docs:
	tox -e docs

.PHONY: run-example
run-example:
	@xdg-open http://localhost:3333
	BEANCOUNT_FILE= fava -p 3333 --debug tests/data/example.beancount

.PHONY: bql-grammar
bql-grammar:
	contrib/scripts.py generate-bql-grammar-json

dist: src/fava/static/app.js src/fava setup.cfg setup.py MANIFEST.in
	rm -rf build dist
	python setup.py sdist bdist_wheel

.PHONY: before-release
before-release: bql-grammar translations-push translations-fetch

# Before making a release, CHANGES needs to be updated and
# a tag should be created too.
#
# Also, fava.pythonanywhere.com should be updated.
.PHONY: upload
upload: dist
	twine upload dist/*

# Extract translation strings.
.PHONY: translations-extract
translations-extract:
	pybabel extract -F src/fava/translations/babel.conf -o src/fava/translations/messages.pot .

# Extract translation strings and upload them to POEditor.com.
# Requires the environment variable POEDITOR_TOKEN to be set to an API token
# for POEditor.
.PHONY: translations-push
translations-push: translations-extract
	contrib/scripts.py upload-translations

# Download translations from POEditor.com. (also requires POEDITOR_TOKEN)
.PHONY: translations-fetch
translations-fetch:
	contrib/scripts.py download-translations
	pybabel compile -d src/fava/translations

# Build and upload the website.
.PHONY: gh-pages
gh-pages:
	git checkout master
	git checkout --orphan gh-pages
	tox -e docs
	ls | grep -v 'build' | xargs rm -r
	mv -f build/docs/* ./
	rm -r build
	touch .nojekyll
	git add -A
	git commit -m 'Update gh-pages' --no-verify
	git push --force git@github.com:beancount/fava.git gh-pages:gh-pages
	git checkout master
	git branch -D gh-pages

# Create a binary using pyinstaller
dist/fava: src/fava/static/app.js
	tox -e pyinstaller

=== debian/changelog ===
fava (1.18-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.18
    - Refresh patch
  * Switch git repo layout to DEP14
  * Add lintian override for false positive error
  * Update d/copyright

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 21 Jan 2021 14:12:41 +0100

fava (1.17-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Dr. Tobias Quathamer ]
  * New upstream version 1.17
    - Refresh patches
  * Update Standards-Version to 4.5.1, no changes needed
  * Use Rules-Requires-Root: no

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 18 Nov 2020 17:02:54 +0100

fava (1.15-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.15
    - Refresh patch
    - Add PYTHONPATH=\"$(CURDIR)/src\" for help2man manpage generation
    - Adjust path for docs after upstream reorganization
  * Use debhelper v13
  * Remove unused lintian overrides
  * Fix wrong syntax in generated manpage

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 06 Sep 2020 20:50:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: fava
 Section: python
 Priority: optional
-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Stefano Zacchiroli <zack@debian.org>,
            Pierre-Elliott Bécue <peb@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                help2man <!nodoc>,
                python3-all,
@@ -20,10 +20,11 @@
                python3-setuptools,
                python3-setuptools-scm,
                python3-simplejson,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Homepage: https://beancount.github.io/fava/
-Vcs-Browser: https://salsa.debian.org/python-team/applications/fava
-Vcs-Git: https://salsa.debian.org/python-team/applications/fava.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/fava
+Vcs-Git: https://salsa.debian.org/python-team/packages/fava.git
 
 Package: python3-fava
 Architecture: all

=== debian/watch ===
# try also https://pypi.debian.net/fava/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/fava/fava-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## fava 1.20.1

=== Makefile ===
--- 
+++ 
@@ -1,16 +1,21 @@
-all: src/fava/static/app.js
+all: src/fava/static/app.js src/fava/translations
 
-src/fava/static/app.js: frontend/css/* frontend/src/* frontend/package.json frontend/node_modules
+FRONTEND_SOURCES := $(shell find frontend/src -type f)
+src/fava/static/app.js: $(FRONTEND_SOURCES) frontend/css/* frontend/package.json frontend/node_modules
 	cd frontend; npm run build
 
 frontend/node_modules: frontend/package-lock.json
 	cd frontend; npm install --no-progress
 	touch -m frontend/node_modules
 
+TRANSLATION_SOURCES := $(shell find src/fava/translations -name '*.po')
+src/fava/translations: $(TRANSLATION_SOURCES)
+	pybabel compile -d src/fava/translations
+	touch -m src/fava/translations
+
 .PHONY: clean
 clean: mostlyclean
-	rm -rf build dist
-	rm -rf src/fava/static/*
+	find src/fava/static ! -name 'favicon.ico' -type f -exec rm -f {} +
 
 .PHONY: mostlyclean
 mostlyclean:
@@ -22,10 +27,12 @@
 	rm -rf frontend/node_modules
 	find . -type f -name '*.py[c0]' -delete
 	find . -type d -name "__pycache__" -delete
+	find src/fava/translations -name '*.mo' -delete
 
 .PHONY: lint
 lint: frontend/node_modules
 	pre-commit run -a
+	cd frontend; npx svelte-check
 	tox -e lint
 
 .PHONY: test
@@ -37,8 +44,17 @@
 .PHONY: update-snapshots
 update-snapshots:
 	find . -name "__snapshots__" -type d -prune -exec rm -r "{}" +
-	-SNAPSHOT_UPDATE=1 tox
-	tox
+	-SNAPSHOT_UPDATE=1 tox -e py
+	tox -e py
+
+.PHONY: update-deps
+update-deps:
+	cd frontend; npx npm-check -y
+	cd frontend; npm update
+
+.PHONY: update-precommit
+update-precommit:
+	pre-commit autoupdate
 
 .PHONY: docs
 docs:
@@ -84,22 +100,21 @@
 .PHONY: translations-fetch
 translations-fetch:
 	contrib/scripts.py download-translations
-	pybabel compile -d src/fava/translations
 
 # Build and upload the website.
 .PHONY: gh-pages
 gh-pages:
-	git checkout master
+	git checkout main
 	git checkout --orphan gh-pages
 	tox -e docs
 	ls | grep -v 'build' | xargs rm -r
 	mv -f build/docs/* ./
-	rm -r build
+	rm -r build .builds .github
 	touch .nojekyll
 	git add -A
 	git commit -m 'Update gh-pages' --no-verify
 	git push --force git@github.com:beancount/fava.git gh-pages:gh-pages
-	git checkout master
+	git checkout main
 	git branch -D gh-pages
 
 # Create a binary using pyinstaller

=== debian/changelog ===
fava (1.20.1-1) unstable; urgency=medium

  [ intrigeri ]
  * Team upload
  * New upstream version 1.20.1 (Closes: #995909)
  * Update build-dependencies
  * Refresh patch
  * 0002-Ensure-fava.__version__-is-defined-even-when-the-dis.patch: fix tests

  [ Dr. Tobias Quathamer ]
  * Update Standards-Version to 4.6.0, no changes needed
  * Update debian/watch to v4 and use github as source
  * Update lintian override about missing source

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 13 Dec 2021 11:50:05 +0100

=== debian/control ===
--- 
+++ 
@@ -12,15 +12,15 @@
                python3-beancount,
                python3-cheroot,
                python3-click,
-               python3-flask (>= 0.10.1),
-               python3-flask-babel,
-               python3-jinja2,
+               python3-flask (>= 2),
+               python3-flask-babel (>= 1),
+               python3-jinja2 (>= 3),
                python3-markdown2,
                python3-ply,
                python3-setuptools,
                python3-setuptools-scm,
                python3-simplejson,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://beancount.github.io/fava/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/fava

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,10 @@
 	  --name "Web interface for the double-entry accounting tool Beancount" \
 	  --no-info \
 	  --include $(CURDIR)/debian/manpages/fava.tpl \
-	  "$$(pybuild --print interpreter --interpreter python3) -m fava.cli" \
+	  "PYTHONPATH=\"$(CURDIR)/src\" $$(pybuild --print interpreter --interpreter python3) -m fava.cli" \
 	  > $(CURDIR)/debian/manpages/fava.1
 	sed -i s/cli.py/fava/ $(CURDIR)/debian/manpages/fava.1
+	sed -i s/FAVA,/FAVA/ $(CURDIR)/debian/manpages/fava.1
 endif
 
 override_dh_auto_clean:

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/fava-$1\.tar\.gz/ \
  https://github.com/beancount/fava/tags .*/v?(\d\S+)\.tar\.gz

## fava 1.23.1+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,17 +1,21 @@
-all: src/fava/static/app.js src/fava/translations
+FRONTEND_SOURCES := $(shell find frontend/src frontend/css -type f)
+TRANSLATION_SOURCES := $(wildcard src/fava/translations/*/LC_MESSAGES/messages.po)
+TRANSLATION_TARGETS := $(TRANSLATION_SOURCES:messages.po=messages.mo)
 
-FRONTEND_SOURCES := $(shell find frontend/src -type f)
-src/fava/static/app.js: $(FRONTEND_SOURCES) frontend/css/* frontend/package.json frontend/node_modules
+.PHONY: all
+all: src/fava/static/app.js $(TRANSLATION_TARGETS)
+
+src/fava/static/app.js: $(FRONTEND_SOURCES) frontend/build.ts frontend/node_modules
+	rm -f src/fava/static/*
+	git checkout -- src/fava/static
 	cd frontend; npm run build
 
 frontend/node_modules: frontend/package-lock.json
 	cd frontend; npm install --no-progress
 	touch -m frontend/node_modules
 
-TRANSLATION_SOURCES := $(shell find src/fava/translations -name '*.po')
-src/fava/translations: $(TRANSLATION_SOURCES)
+$(TRANSLATION_TARGETS): $(TRANSLATION_SOURCES)
 	pybabel compile -d src/fava/translations
-	touch -m src/fava/translations
 
 .PHONY: clean
 clean: mostlyclean
@@ -32,6 +36,7 @@
 .PHONY: lint
 lint: frontend/node_modules
 	pre-commit run -a
+	cd frontend; npx tsc
 	cd frontend; npx svelte-check
 	tox -e lint
 
@@ -49,8 +54,10 @@
 
 .PHONY: update-deps
 update-deps:
-	cd frontend; npx npm-check -y
+	-cd frontend; npm outdated
 	cd frontend; npm update
+	cd frontend; npm run sync-pre-commit
+	touch -m frontend/node_modules
 
 .PHONY: update-precommit
 update-precommit:
@@ -63,15 +70,15 @@
 .PHONY: run-example
 run-example:
 	@xdg-open http://localhost:3333
-	BEANCOUNT_FILE= fava -p 3333 --debug tests/data/example.beancount
+	BEANCOUNT_FILE= fava -p 3333 --debug tests/data/*.beancount
 
 .PHONY: bql-grammar
 bql-grammar:
 	contrib/scripts.py generate-bql-grammar-json
 
-dist: src/fava/static/app.js src/fava setup.cfg setup.py MANIFEST.in
+dist: src/fava/static/app.js src/fava setup.cfg pyproject.toml MANIFEST.in
 	rm -rf build dist
-	python setup.py sdist bdist_wheel
+	tox -e build-dist
 
 .PHONY: before-release
 before-release: bql-grammar translations-push translations-fetch

=== debian/changelog ===
fava (1.23.1+dfsg-1) unstable; urgency=medium

  * Team upload
  * Replace bad patches with good package workarounds
  * Revert "use github as source" (Closes: #1031660)
  * Replace CI config with central one
  * Revert "Remove notions of removed src/fava/static/app.js"
  * d/copyright: Correct license names
  * Repack the source to get rid of .mo files
  * New upstream version 1.23.1+dfsg

 -- Bastian Germann <bage@debian.org>  Tue, 21 Feb 2023 15:15:34 +0100

fava (1.23.1-1) unstable; urgency=high

  * Team upload.
  * New upstream version 1.23.1 (CVE-2022-2514 CVE-2022-2523 CVE-2022-2589)
  * Build with pybuild pyproject plugin as upstream moved to pyproject.toml
  * Update lintian overrides
  * Remove copyright notice and lintian override of removed
    src/fava/static/app.js
  * Refresh patches

 -- Blair Noctis <n@sail.ng>  Sun, 05 Feb 2023 16:10:51 +0000

fava (1.20.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + python3-fava: Drop versioned constraint on python3-cheroot in Depends.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 14 Dec 2022 19:30:11 +0000

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
            Pierre-Elliott Bécue <peb@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                help2man <!nodoc>,
                python3-all,
                python3-babel,
@@ -16,6 +17,7 @@
                python3-flask-babel (>= 1),
                python3-jinja2 (>= 3),
                python3-markdown2,
+               python3-pkg-resources,
                python3-ply,
                python3-setuptools,
                python3-setuptools-scm,
@@ -28,7 +30,7 @@
 
 Package: python3-fava
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3-cheroot (>= 6.5.4+ds-2)
+Depends: ${misc:Depends}, ${python3:Depends}, python3-cheroot
 Recommends: ${python3:Recommends}
 Suggests: ${python3:Suggests}
 Description: Web interface for the double-entry accounting tool Beancount

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 include /usr/share/dpkg/pkg-info.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
-
+export SETUPTOOLS_SCM_PRETEND_VERSION=$(DEB_VERSION_UPSTREAM)
 export PYBUILD_NAME=fava
 %:
 	dh $@ --with python3 --buildsystem=pybuild

## fava 1.30.2+dfsg

=== Makefile ===
FRONTEND_SOURCES := $(shell find frontend/src frontend/css -type f)

all: src/fava/static/app.js

# Compile the frontend.
src/fava/static/app.js: $(FRONTEND_SOURCES) frontend/build.ts frontend/node_modules
	cd frontend; npm run build

# Install the frontend node_modules dependencies.
frontend/node_modules: frontend/package-lock.json
	cd frontend; npm install --no-progress
	touch -m frontend/node_modules

# Create and sync a dev environment.
.PHONY: dev
dev: .venv
.venv: constraints.txt requirements.txt pyproject.toml
	uv venv --allow-existing
	uv pip sync requirements.txt
	touch -m .venv

# Remove the generated frontend and translations in addition to mostlyclean (see below).
.PHONY: clean
clean: mostlyclean
	find src/fava/static ! -name 'favicon.ico' -type f -exec rm -f {} +
	find src/fava/translations -name '*.mo' -delete

# Remove node_modules, caches, .tox, etc.
.PHONY: mostlyclean
mostlyclean:
	rm -rf .*cache
	rm -rf .eggs
	rm -rf .tox
	rm -rf .venv
	rm -rf build
	rm -rf dist
	rm -rf htmlcov
	rm -rf frontend/node_modules
	find . -type f -name '*.py[c0]' -delete
	find . -type d -name "__pycache__" -delete

# Run linters.
.PHONY: lint
lint: frontend/node_modules
	pre-commit run -a
	cd frontend; npm exec tsc
	cd frontend; npm exec svelte-check
	tox -e lint

# Run tests.
.PHONY: test
test: frontend/node_modules
	cd frontend; npm run test
	tox -e py

# Update the snapshot files generated by the snapshot tests.
.PHONY: update-snapshots
update-snapshots:
	find . -name "__snapshots__" -type d -prune -exec rm -r "{}" +
	-SNAPSHOT_UPDATE=1 tox -e py
	tox -e py

# Update the constraints file for Python dependencies
.PHONY: update-constraints
update-constraints:
	uv pip compile --quiet --extra excel --extra dev --python-version 3.9 --upgrade --output-file constraints.txt pyproject.toml
	uv pip compile --quiet --extra excel --extra old_deps_pins --resolution=lowest --python-version 3.9 --upgrade --output-file constraints-old.txt pyproject.toml

# Update the frontend dependencies.
.PHONY: update-frontend-deps
update-frontend-deps:
	-cd frontend; npm outdated
	cd frontend; npm update
	cd frontend; npm run sync-pre-commit
	touch -m frontend/node_modules

# Update pre-commit hooks
.PHONY: update-precommit
update-precommit:
	pre-commit autoupdate

# Update frontend deps, Python deps and pre-commit
.PHONY: update
update: update-constraints update-frontend-deps update-precommit

# Build the website
.PHONY: docs
docs:
	tox -e docs

# Run fava for the example files.
.PHONY: run-example
run-example:
	@xdg-open http://localhost:3333
	BEANCOUNT_FILE= fava -p 3333 --debug tests/data/*.beancount

# Generate the bql-grammar json file used by the frontend.
.PHONY: bql-grammar
bql-grammar: .venv contrib/scripts.py constraints.txt
	uv run --no-sync python contrib/scripts.py generate-bql-grammar-json
	-pre-commit run prettier --files frontend/src/codemirror/bql-grammar.ts

# Build the distribution (sdist and wheel).
.PHONY: dist
dist:
	rm -rf dist/*.tar.gz
	rm -rf dist/*.whl
	python -m build
	twine check dist/*

# Build the bql-grammar and update translations with POEditor.com
.PHONY: before-release
before-release: bql-grammar translations-push translations-fetch

# Extract translation strings.
.PHONY: translations-extract
translations-extract: .venv
	uv run --no-sync pybabel extract -F src/fava/translations/babel.conf -o src/fava/translations/messages.pot .

# Extract translation strings and upload them to POEditor.com.
# Requires the environment variable POEDITOR_TOKEN to be set to an API token
# for POEditor.
.PHONY: translations-push
translations-push: .venv translations-extract
	uv run --no-sync python contrib/scripts.py upload-translations

# Download translations from POEditor.com. (also requires POEDITOR_TOKEN)
.PHONY: translations-fetch
translations-fetch: .venv
	uv run --no-sync python contrib/scripts.py download-translations

# Create a binary using pyinstaller
dist/fava: src/fava/static/app.js
	tox -e pyinstaller

=== requirements.txt ===
-r constraints.txt
-e .

=== debian/changelog ===
fava (1.30.2+dfsg-1) unstable; urgency=medium

  * New upstream release 1.30.2+dfsg
    (Closes: #1061230, #1083388, #1071795)
  * d/p/0001: Mark two worktree tests as expected failing
  * d/control: Bump Standards-Version to 4.7.2
  * d/copyright: Update copyrights
  * d/source: purge lintian-overrides (we'll potentially need to fixup some
    stuff in here)

 -- Pierre-Elliott Bécue <peb@debian.org>  Mon, 14 Apr 2025 19:58:56 +0200

=== debian/control ===
--- 
+++ 
@@ -5,24 +5,29 @@
 Uploaders: Stefano Zacchiroli <zack@debian.org>,
            Pierre-Elliott Bécue <peb@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                pybuild-plugin-pyproject,
                help2man <!nodoc>,
                python3-all,
                python3-babel,
                python3-beancount,
+               python3-beanquery,
+               python3-beangulp,
                python3-cheroot,
                python3-click,
-               python3-flask (>= 2),
-               python3-flask-babel (>= 1),
-               python3-jinja2 (>= 3),
+               python3-flask,
+               python3-flask-babel,
+               python3-jinja2,
                python3-markdown2,
-               python3-pkg-resources,
                python3-ply,
+               python3-pytest,
+               python3-pytest-cov,
                python3-setuptools,
                python3-setuptools-scm,
                python3-simplejson,
-Standards-Version: 4.6.0
+               python3-watchfiles,
+               python3-werkzeug,
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://beancount.github.io/fava/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/fava
@@ -30,7 +35,10 @@
 
 Package: python3-fava
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3-cheroot
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+ python3-cheroot
 Recommends: ${python3:Recommends}
 Suggests: ${python3:Suggests}
 Description: Web interface for the double-entry accounting tool Beancount

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,9 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
 export SETUPTOOLS_SCM_PRETEND_VERSION=$(DEB_VERSION_UPSTREAM)
 export PYBUILD_NAME=fava
+
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,dversionmangle=auto,repacksuffix=+dfsg \
https://pypi.debian.net/fava/fava-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## fava miler-0.3.0

=== requirements.txt ===
# Automatically generated by https://github.com/damnever/pigar.

# fava_miler/build/lib/fava_miler/miler.py: 4
# fava_miler/fava_miler/miler.py: 4
Click >= 7.0

# fava_miler/build/lib/fava_miler/common/beancountinvestorapi.py: 3,4,5,6,7,8
# fava_miler/build/lib/fava_miler/common/favainvestorapi.py: 1
# fava_miler/build/lib/fava_miler/libmiler.py: 3,4
# fava_miler/build/lib/fava_miler/test_libmiler.py: 4,8
# fava_miler/fava_miler/common/beancountinvestorapi.py: 3,4,5,6,7,8
# fava_miler/fava_miler/common/favainvestorapi.py: 1
# fava_miler/fava_miler/libmiler.py: 3,4
# fava_miler/fava_miler/test_libmiler.py: 4,8
beancount == 2.3.5

# fava_miler/build/lib/fava_miler/__init__.py: 3
# fava_miler/build/lib/fava_miler/common/beancountinvestorapi.py: 27
# fava_miler/build/lib/fava_miler/common/favainvestorapi.py: 2
# fava_miler/fava_miler/__init__.py: 3
# fava_miler/fava_miler/common/beancountinvestorapi.py: 27
# fava_miler/fava_miler/common/favainvestorapi.py: 2
fava == 1.23

# fava_miler/.eggs/setuptools_scm-6.4.2-py3.8.egg/setuptools_scm/_version_cls.py: 5
packaging == 20.9

# fava_miler/.eggs/setuptools_scm-6.4.2-py3.8.egg/setuptools_scm/_entrypoints.py: 47
# fava_miler/.eggs/setuptools_scm-6.4.2-py3.8.egg/setuptools_scm/_version_cls.py: 11
# fava_miler/.eggs/setuptools_scm-6.4.2-py3.8.egg/setuptools_scm/integration.py: 4
# fava_miler/setup.py: 2
setuptools == 45.2.0

# fava_miler/build/lib/fava_miler/common/clicommon.py: 4
# fava_miler/fava_miler/common/clicommon.py: 4
tabulate == 0.8.9
